QGIS Application - Bug report #13211
attribute table in print composer does not refresh
2015-08-12 07:01 AM - Christian S

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.8.2 Regression?: No
Operating System: linux, windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21272
Description

When using the atlas functionality in print composer with an attribute table the table does not always refresh correctly when navigating
back and forth or exporting.
Some observations:

- on some atlas pages only the header of the table is shown

- sometimes previous missing rows show up correctly when navigating back and forth in the atlas

- for some atlas pages the rows of the table never show automatically

- when clicking ltem properties/Attribute table/Main properties/Refresh table data manually the table rows always show correctly

- it seems to be all or nothing: either all or none table rows show up

I can reproduce this behaviour with QGIS 2.8.2 on Ubuntu 14.04 64 bit and QGIS 2.10.1 on Windows 7 32 bit. Unfortunately | can not
offer a QGIS project that shows this behaviour.

History

#1 - 2015-08-12 02:44 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you send screenshots of all the options pages for the attribute table and atlas?

#2 - 2015-08-12 11:33 PM - Christian S
- File table_options_04.png added

- File table_options_03.png added

- File table_options _02.png added

- File table_options _01.png added

- File atlas_options.png added

Thanks for having a look at the issue. Attached are some screenshots of the options.
The expression for "Feature filtering" of the attribute table looks like this:

attribute($atlasfeature, 'buhnengruppe') = attribute($currentfeature, 'buhnengruppe') AND attribute($atlasfeature, 'ufer') = attribute($currentfeature,
‘ufer")

While taking the screenshots | tried to deactivate the option Attribute table/Feature filtering/Show only features visible within a map

Without this option the table seems to refresh correctly. Because of the filter expression | can live with that but it seems strange nonetheless.
#3 - 2015-12-21 12:52 PM - Giovanni Manghi
- Status changed from Feedback to Open

#4 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
